Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003125Zandronum[All Projects] Bugpublic2017-05-03 17:002017-05-23 06:07
ReporterRu5tK1ng 
Assigned ToTorr Samaho 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003125: Spawn particle fountains are shifted when using z-height spawns
DescriptionFountains on 3d floors are correct while the ones on normal grounds are not.
Steps To ReproduceRun the supplied wad in 3.0 in deathmatch mode.
Make sure CL_SHOWSPAWNS is true.
Spawn and notice how only the fountain on the 3d floor is correct.
The particles for the lowest spawn is shifted up to the 0 height floor while the other particle fountain is presumably in the ceiling.
Additional InformationThis was probably missed because the testwad for the z-height spawns ticket only had 3d floor spawns.
Attached Files? file icon fountaintest.wad [^] (3,171 bytes) 2017-05-03 17:00

- Relationships

-  Notes
User avatar (0017562)
Torr Samaho (administrator)
2017-05-07 09:52

Did this work properly in 2.1.2?
User avatar (0017593)
Ru5tK1ng (updater)
2017-05-07 17:45

z-height spawns are not in 2.1.2. But the fountains work fine at various different heights in 2.1.2.
User avatar (0017695)
Ru5tK1ng (updater)
2017-05-15 02:42

I tested the example wad along with another wad and this seemed to fix the issue:

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/206/fountain-particles-were-being-shifted-to/diff [^]
User avatar (0017719)
Torr Samaho (administrator)
2017-05-20 12:03

Please see my comment on bitbucket.
User avatar (0017723)
Ru5tK1ng (updater)
2017-05-20 19:22

Revised based off your comment.
User avatar (0017724)
Torr Samaho (administrator)
2017-05-21 08:52

Thanks! I added your updated patch.
User avatar (0017750)
Ru5tK1ng (updater)
2017-05-23 02:53

I had someone test this for me and they confirmed the fountains were at the proper z height in the example wad.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Combinebobnt
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-05-03 17:00 Ru5tK1ng New Issue
2017-05-03 17:00 Ru5tK1ng File Added: fountaintest.wad
2017-05-03 17:01 Ru5tK1ng Steps to Reproduce Updated View Revisions
2017-05-07 09:52 Torr Samaho Note Added: 0017562
2017-05-07 09:52 Torr Samaho Status new => feedback
2017-05-07 17:45 Ru5tK1ng Note Added: 0017593
2017-05-07 17:45 Ru5tK1ng Status feedback => new
2017-05-15 02:42 Ru5tK1ng Note Added: 0017695
2017-05-15 02:42 Ru5tK1ng Status new => needs review
2017-05-20 12:03 Torr Samaho Note Added: 0017719
2017-05-20 12:03 Torr Samaho Assigned To => Torr Samaho
2017-05-20 12:03 Torr Samaho Status needs review => feedback
2017-05-20 19:22 Ru5tK1ng Note Added: 0017723
2017-05-20 19:22 Ru5tK1ng Status feedback => assigned
2017-05-20 19:23 Ru5tK1ng Assigned To Torr Samaho =>
2017-05-20 19:23 Ru5tK1ng Status assigned => feedback
2017-05-20 19:24 Ru5tK1ng Assigned To => Torr Samaho
2017-05-20 19:24 Ru5tK1ng Target Version => 3.0
2017-05-21 08:52 Torr Samaho Note Added: 0017724
2017-05-21 08:52 Torr Samaho Status feedback => needs testing
2017-05-23 02:53 Ru5tK1ng Note Added: 0017750
2017-05-23 02:53 Ru5tK1ng Status needs testing => resolved
2017-05-23 02:53 Ru5tK1ng Resolution open => fixed
2017-05-23 02:53 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker